textures/rabbit/skynight
{ 
        qer_editorimage textures/rabbit/skybox
        q3map_sun 0.0703 0.1836 0.6 2000 220 90
		q3map_lightRGB 0.0703 0.1836 0.6
		q3map_surfaceLight 1500
		q3map_lightSubdivide 500
        surfaceparm sky
        surfaceparm nolightmap
        surfaceparm noimpact
        skyparms textures/rabbit/skynight - -
} 

textures/rabbit/hw_nightsky_nolight
{
	qer_editorimage textures/rabbit/nightsky_ft.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	//q3map_sun 0.0703 0.1836 0.6 2000 220 90
	q3map_sunExt 0.80 0.90 1.00 16.0 -23.123 48.822 0 16
	q3map_lightmapFilterRadius 0 8
	q3map_skylight 100 3
	q3map_lightRGB 0.0703 0.1836 0.6
	q3map_lightsubdivide 256
	surfaceparm sky
	//q3map_sun 1 1 1 100 315 50
	skyparms textures/rabbit/nightsky - -
} 

textures/rabbit/nood_cosdglass
{
    qer_trans .5
    surfaceparm trans
    surfaceparm nodamage
    q3map_surfacelight 5000
    q3map_lightsubdivide 128
    cull disable
    {
        map textures/rabbit/nood_cosdglass.tga
        tcGen environment
        tcMod turb 0 0.01 0 0.01
        tcmod scroll .0 .5
        blendfunc GL_ONE GL_ONE
    }
}

textures/rabbit/purple02-xd
{
    qer_trans .5
    surfaceparm trans
    surfaceparm nodamage
    cull none
    q3map_surfaceLight 5000
    q3map_lightsubdivide 128
    
    {
        map textures/rabbit/purple02-xd.jpg
        tcGen environment
        tcMod turb 0 0.01 0 0.01
        tcmod scroll .0 .5
        blendfunc GL_ONE GL_ONE
    }
}

textures/rabbit/jumppad_fx
{
    qer_editorimage textures/rabbit/jumppad.tga
    
    {
        clampMap textures/rabbit/jumppadswirl1.tga
        tcMod rotate 180
        tcMod stretch sin 0.8 0.1 0.0 0.5
    }
    
    {
        clampMap textures/rabbit/jumppadswirl4.tga
        blendfunc add
        tcMod rotate 45
        rgbGen wave sin 0.6 0.05 0.0 0.02
    }
    
    {
        map textures/rabbit/jumppad.tga
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        rgbGen identity
    }
    
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
        rgbGen identity
    }
}

textures/rabbit/sandr_nodamage
{
    qer_editorimage textures/rabbit/sandr
    surfaceparm nodamage
    {
        map textures/rabbit/sandr
        //blendFunc add
    }
    
    {
        map $lightmap
        rgbGen identity
        blendfunc gl_dst_color gl_zero
    }
}

textures/rabbit/teleporter_fx
{
    qer_editorimage textures/rabbit/jumppad.tga
    
    {
        clampMap textures/rabbit/teleporterswirl1.tga
        tcMod rotate 180
        tcMod stretch sin 0.8 0.1 0.0 0.5
    }
    
    {
        clampMap textures/rabbit/teleporterswirl4.tga
        blendfunc add
        tcMod rotate 45
        rgbGen wave sin 0.6 0.05 0.0 0.02
    }
    
    {
        map textures/rabbit/jumppad.tga
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        rgbGen identity
    }
    
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
        rgbGen identity
    }
}

textures/rabbit/palmLeaf
{
    qer_trans .7
    nopicmip
    cull none
    //surfaceparm nolightmap
    //deformVertexes wave 150 sin 0 1 0 .4
    {
        map models/palm/palmLeaf.tga
        blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
        alphaFunc GE128
        depthWrite rgbGen identity
    }
    {
        map $lightmap
        rgbGen identity
        blendFunc GL_DST_COLOR GL_ZERO
        depthFunc equal
    }
}

textures/rabbit/palmbark
{
    surfaceparm solid
    {
        map models/palm/palmbark
    }
    
    { 
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/rabbit/electricity
{
qer_trans .6
surfaceparm trans
surfaceparm nodamage
q3map_surfacelight 10000
q3map_lightSubdivide 128

{
    map textures/rabbit/electricity.jpg
    tcgen environment
    tcMod turb 0 0.01 0 0.01
    tcmod scroll .0 2
    blendfunc GL_ONE GL_ONE
    }
}

textures/rabbit/noodglass2
{
	qer_editorimage textures/rabbit/noodglass2.tga
	q3map_surfaceLight 5000
	q3map_lightsubdivide 128
    surfaceparm trans	 
    surfaceparm nodamage
	cull none
	qer_trans 	0.5
     
    {
        map textures/rabbit/noodglass2.tga
        tcgen environment
		blendFunc GL_ONE GL_ONE
	}
          
}

textures/rabbit/noodglass2_nonsolid
{
	qer_editorimage textures/rabbit/noodglass2.tga
	q3map_surfaceLight 5000
	q3map_lightsubdivide 128
    surfaceparm trans	 
    surfaceparm nonsolid
	cull none
	qer_trans 	0.5
     
    {
        map textures/rabbit/noodglass2.tga
        tcgen environment
		blendFunc GL_ONE GL_ONE
	}
          
}

textures/rabbit/flame
{
	surfaceparm nomarks
		surfaceparm nolightmap
		surfaceparm nonsolid
		surfaceparm trans
		cull none
		//q3map_surfacelight 2000
		q3map_surfacelight 6500
		qer_editorimage textures/mr_sfx/flame1.jpg

		{
			animMap 10 textures/mr_sfx/flame1.jpg textures/mr_sfx/flame2.jpg textures/mr_sfx/flame3.jpg textures/mr_sfx/flame4.jpg textures/mr_sfx/flame5.jpg textures/mr_sfx/flame6.jpg textures/mr_sfx/flame7.jpg textures/mr_sfx/flame8.jpg
            blendFunc GL_ONE GL_ONE
            rgbGen wave inverseSawtooth 0 1 0 10

		}
	{
		animMap 10 textures/mr_sfx/flame2.jpg textures/mr_sfx/flame3.jpg textures/mr_sfx/flame4.jpg textures/mr_sfx/flame5.jpg textures/mr_sfx/flame6.jpg textures/mr_sfx/flame7.jpg textures/mr_sfx/flame8.jpg textures/mr_sfx/flame1.jpg
        blendFunc GL_ONE GL_ONE
        rgbGen wave sawtooth 0 1 0 10
	}

	{
		map textures/mr_sfx/flameball.jpg
        blendFunc GL_ONE GL_ONE
        rgbGen wave sin .6 .2 0 .6
	}

}

textures/rabbit/c0ffee_fx
{
        qer_editorimage textures/rabbit/kon
		//q3map_lightimage textures/rabbit/kon
        q3map_surfacelight 32
        q3map_lightsubdivide 128
        surfaceparm nolightmap

	{
        map textures/rabbit/kon
        //rgbGen wave square 0 1 0 0.5
        //rgbGen wave square 1 1 0 0.5
	}

	{
		map textures/rabbit/scanlinez
		blendfunc add
	    rgbGen identity
		tcmod scroll 0 .4
	}

	{
		map textures/rabbit/scanlinez
		blendfunc add
	        rgbGen identity
		tcmod scroll 0 .4
	}


	{
		map $lightmap
        rgbGen identity
		blendfunc gl_dst_color gl_zero
	}

}

textures/rabbit/castleb12banner_fx
{
        qer_editorimage textures/rabbit/castleb12_banner
		//q3map_lightimage textures/rabbit/castleb12_banner
        q3map_surfacelight 32
        q3map_lightsubdivide 128
        surfaceparm nolightmap

	{
        map textures/rabbit/castleb12_banner
        //rgbGen wave square 0 1 0 0.5
        //rgbGen wave square 1 1 0 0.5
	}

	{
		map textures/rabbit/scanlinez
		blendfunc add
	    rgbGen identity
		tcmod scroll 0 .4
	}

	{
		map textures/rabbit/scanlinez
		blendfunc add
	        rgbGen identity
		tcmod scroll 0 .4
	}


	{
		map $lightmap
        rgbGen identity
		blendfunc gl_dst_color gl_zero
	}

}

textures/common/mirror
{
	qer_editorimage textures/common/mirror.tga
	surfaceparm nolightmap
	portal
  
	{
		map textures/common/mirror.tga
		blendfunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		depthWrite
	}

}

//
// anime model
//

textures/rabbit/F00_000_00_EyeIris_00
{
    qer_editorimage models/anime01/F00_000_EyeIris_00
    nopicmip
    surfaceparm nolightmap
    //cull none
    {
        map models/anime01/F00_000_EyeIris_00
        blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
        alphaFunc GE128
        depthWrite rgbGen identity
    }
}

textures/rabbit/F00_000_EyeWhite_00
{
    qer_editorimage models/anime01/F00_000_EyeWhite_00
    nopicmip
    surfaceparm nolightmap
    //cull none
    {
        map models/anime01/F00_000_EyeWhite_00
        //blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
        //alphaFunc GE128
        //depthWrite rgbGen identity
    }
}

textures/rabbit/F00_000_00_EyeHighlight_00
{
    qer_editorimage models/anime01/F00_000_EyeHighlight_00
    nopicmip
    surfaceparm nolightmap
    //cull none
    {
        map models/anime01/F00_000_EyeHighlight_00
        blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
        alphaFunc GE128
        depthWrite rgbGen identity
    }
}

textures/rabbit/F00_000_00_FaceBrow_00
{
    qer_editorimage models/anime01/F00_000_FaceBrow_00
    nopicmip
    surfaceparm nolightmap
    {
        map models/anime01/F00_000_FaceBrow_00
        blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
        //blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
        alphaFunc GE128
        depthWrite rgbGen identity
    }
}

textures/rabbit/F00_000_00_FaceEyelash_00
{
    qer_editorimage models/anime01/F00_000_FaceEyelash_00
    nopicmip
    surfaceparm nolightmap
    {
        map models/anime01/F00_000_FaceEyelash_00
        blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
        alphaFunc GE128
        depthWrite rgbGen identity
    }
}

textures/rabbit/F00_000_00_FaceEyeline_00
{
    qer_editorimage models/anime01/F00_000_FaceEyeline_00
    nopicmip
    surfaceparm nolightmap
    //cull none
    {
        map models/anime01/F00_000_FaceEyeline_00
        //blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
        blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
        alphaFunc GE128
        depthWrite rgbGen identity
    }
}

textures/rabbit/F00_000_FaceMouth_00
{
    qer_editorimage models/anime01/F00_000_FaceMouth_00
    nopicmip
    surfaceparm nolightmap
    {
        map models/anime01/F00_000_FaceMouth_00
    }
    
}

textures/rabbit/F00_000_Face_00
{
    qer_editorimage models/anime01/F00_000_Face_00
    nopicmip
    surfaceparm nolightmap
    {
        map models/anime01/F00_000_Face_00
    }
    
}

textures/rabbit/F00_000_HairBack_00
{
    qer_editorimage models/anime01/F00_000_HairBack_00
    nopicmip
    surfaceparm nolightmap
    {
        map models/anime01/F00_000_HairBack_00
    }
    
}

textures/rabbit/F00_000_Hair_00_01
{
    qer_editorimage models/anime01/F00_000_Hair_00_01
    nopicmip
    surfaceparm nolightmap
    {
        map models/anime01/F00_000_Hair_00_01
    }
    
}

textures/rabbit/F00_000_Hair_00_02
{
    qer_editorimage models/anime01/F00_000_Hair_00_02
    nopicmip
    surfaceparm nolightmap
    {
        map models/anime01/F00_000_Hair_00_02
    }
    
}

textures/rabbit/F00_000_Hair_00_03
{
    qer_editorimage models/anime01/F00_000_Hair_00_03
    nopicmip
    surfaceparm nolightmap
    {
        map models/anime01/F00_000_Hair_00_03
    }
    
}


textures/rabbit/F00_002_02_Body_00
{
    qer_editorimage models/anime01/F00_002_02_Body_00
    nopicmip
    surfaceparm nolightmap
    {
        map models/anime01/F00_002_02_Body_00
    }
    
}

textures/rabbit/F00_005_01_Tops_01
{
    qer_editorimage models/anime01/F00_005_01_Tops_01
    nopicmip
    surfaceparm nolightmap
    cull none
    {
        map models/anime01/F00_005_01_Tops_01
    }
    
}

textures/rabbit/F00_005_01_Shoes_01
{
    qer_editorimage models/anime01/F00_005_01_Shoes_01
    nopicmip
    surfaceparm nolightmap
    {
        map models/anime01/F00_005_01_Shoes_01
    }
}
